#
# spec file for package python3-xlrd
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-xlrd
Version:        0.9.4
Release:        7.1
Url:            http://www.python-excel.org/
Summary:        Library for Developers to Extract Data From Microsoft Excel Spreadsheet Files
License:        BSD-4-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/x/xlrd/xlrd-%{version}.tar.gz
Source1:        namesdemo.xls
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildArch:      noarch

%description
Extract data from new and old Excel spreadsheets on any platform. Pure Python
(2.1 to 2.6). Strong support for Excel dates. Unicode-aware.

%prep
%setup -q -n xlrd-%{version}
mkdir -p xlrd/examples && cp %{SOURCE1} xlrd/examples/

%build
python3 setup.py build

%check
nosetests-%{py3_ver}

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/runxlrd.py %{buildroot}%{_bindir}/runxlrd-python3

%files
%defattr(-,root,root,-)
%doc README.html
%{_bindir}/runxlrd-python3
%{python_sitelib}/*

%changelog
* Sun Jul 19 2015 arun@gmx.de
- update to version 0.9.4:
  * Use ElementTree.iter() if available, not deprecated getiterator()
  * Fix #106 : Exception Value: unorderable types: Name() < Name()
  * Fix for forward slash file separator and lowercase names.
  * Test result as generator with expected item count.
  * Create row generator expression with get_rows
  * Enable automated testing with Python 3.4
* Sat Dec  6 2014 arun@gmx.de
- specfile:
  * update copyright year
  * update home page
  * added file namesdemo.xls to run tests
  * removed files revent1.xlsx and text_bar.xlsx which are now
    included in the tar-ball
  * doc files are not bundled in tar-ball anymore->remove
- update to version 0.9.3:
  * escapement_type -> escapement, fixing github #61
  * unused import.
  * Lose change log, that's what we have revision control for.
  * Added function to convert Excel date to datetime.
  * fix missed case of removal of getzflo caused by auto-merging a
    pull request that came from before the 2.6+ branch was merged
  * Fix variable name error introduced in commit 83b9643
  * Use exception handler target variables rather than sys.exc_info()
  * Remove ZipFile.open() workaround for pre-2.6 Python
  * Remove miscellaneous workarounds for pre-2.6 Python
  * Interpret xlsx comments with no text correctly
  * Read xlsx merged cell elements.
  * Don't use str.replace on cell_name
  * github issue 64: need to skip meaningless chunk of 4 zero bytes
    between two otherwise-valid BIFF records; was being treated as a
    DIMENSIONS record and then crashing.
  * Revert cell_name_to_rowx_colx.  Remove anchors in do_row only.
  * Ignoe anchors ($) in cell references
  * Implemented Sheet.visibility for xlsx files.
  * Avoid use of XPath features absent in 2.6's ET
  * Read .xlsx comments from Excel 2007 / GDocs
  * Fix for #49.
  * MANIFEST was a red herring, our MANIFEST.in only works correctly
    when using Python2.7+.
* Tue Apr 30 2013 toddrme2178@gmail.com
- Remove unnecessary .py extension from executable
- Fix python2/python3 executable name conflict
* Tue Apr 16 2013 jfunk@funktronics.ca
- Create python3 package
